<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Certificate_List.aspx.cs"
    Inherits="RM.Web.Training.Certificate.Certificate_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_List")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbarcontetn">
        <div style="text-align: left; float: left;">
            <input runat="server" class="txt" id="search_Bar" />
            <asp:LinkButton ID="lbtSearch" runat="server" class="button green" OnClick="lbtSearch_Click"><span class="icon-botton"
            style="background: url('../../Themes/images/Search.png') no-repeat scroll 0px 4px;">
        </span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("GetButton")%></asp:LinkButton>
        </div>
        <div style="text-align: right">
            <a class="button green" id="delCertificate" href="javascript:;" onclick="bfzs()" title="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_selected users")%>">
                <span class="icon-botton" style="background: url('/Themes/images/16/book_open_mark.png') no-repeat scroll 0px 4px;">
                </span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_issued")%></a>
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
</body>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    });
    function bfzs() {
        var key = CheckboxValue();
        if (IsEditdata(key)) {
            top.frames['main'].location = '/Training/Certificate/CertificateUserList.aspx?key=' + key;
        }
    }
    //新增
    function add() {
        top.openDialog('/Training/Certificate/CertificateForm.aspx', 'Menu_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_List")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 850, 450, 50, 50);
    }
    //编辑
    function edit() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var url = "/Training/Certificate/CertificateForm.aspx?key=" + key;
            top.openDialog(url, 'Menu_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_List")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 850, 450, 50, 50);
        }
    }
    //设置
    function set() {
        var url = "/RMBase/SysWindows/Base_WindowsSQLForm.aspx?key=<%=TableTitle %>";
        top.openDialog(url, 'Courseware_List_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_List")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Display settings")%>', 750, 450, 50, 50);
    }
    //删除
    function Delete() {
        var key = CheckboxValue();
        if (IsDelData(key)) {
            var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_List")%>&tableName=TKS_Certificate&pkName=Certificate_Id&pkVal=' + key;
            delConfig('/Ajax/Common_Ajax.ashx', delparm)
        }
    }
    //设置自动发证
    function Task() {
        top.frames['main'].location = ('/Training/Certificate/Automatic_certification_list.aspx');
    }
</script>
</html>
